"use strict";

const soap = require('soap');
const _ = require('lodash');

async function createClient(url, headers) {
  let client;
  client = await soap.createClientAsync(url);

  if(headers) {
    client.addSoapHeader(headers);
  }

  return client;
};

module.exports = createClient;
